CREATE TABLE rodzina (
	id int NOT NULL PRIMARY KEY AUTO_INCREMENT,
	nazwa TEXT
);

INSERT INTO rodzina(nazwa) VALUES ('pieczarkowate');
INSERT INTO rodzina(nazwa) VALUES ('borowikowate');
INSERT INTO rodzina(nazwa) VALUES ('kolczakowate');
INSERT INTO rodzina(nazwa) VALUES ('boczniakowate');
INSERT INTO rodzina(nazwa) VALUES ('truflowate');
	


CREATE TABLE potrawy (
	id int NOT NULL PRIMARY KEY AUTO_INCREMENT,
	nazwa text
);

INSERT INTO potrawy(nazwa) VALUES ('strogonow'); 
INSERT INTO potrawy(nazwa) VALUES ('zupa z borowikow'); 
INSERT INTO potrawy(nazwa) VALUES ('jajecznica z podgrzybkiem');
INSERT INTO potrawy(nazwa) VALUES ('kotlet z kani');
INSERT INTO potrawy(nazwa) VALUES ('sos kurkowy');
INSERT INTO potrawy(nazwa) VALUES ('boczek z boczniakiem');
INSERT INTO potrawy(nazwa) VALUES ('kawior w truflami');


CREATE TABLE grzyby (
	id int NOT NULL PRIMARY KEY AUTO_INCREMENT,
	rodzina_id int,
	potrawy_id int NULL,
	nazwa text,
	potoczna text,
	jadalny bit,
	miesiac_zbierania int,
	nazwa_pliku text,
	FOREIGN KEY (rodzina_id) REFERENCES rodzina(id),
    FOREIGN KEY (potrawy_id) REFERENCES potrawy(id)
);

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (1, 1, 'pieczarka dwuzarodnikowa', 'pieczarka',1,6,'pieczarka.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (1, 4, 'czubajka kania', 'kania',1,7,'kania.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (2, 2, 'borowik szlachetny', 'prawdziwek',1,7,'borowik.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (2, 3, 'xerocomus', 'podgrzybek',1,7,'podgrzybek.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (3, 5, 'pieprznik jadalny', 'kurka',1,7,'kurka.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (4, 6, 'pleurotus', 'boczniak',1,7,'boczniak.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (5, 7, 'trufla lesnia', 'trufla',1,7,'trufla.jpg');

INSERT INTO grzyby (rodzina_id, potrawy_id, nazwa, potoczna,jadalny,miesiac_zbierania,nazwa_pliku)
VALUES (2, null, 'borowik szataski', 'szatan',0,7,'szatan.jpg');


